Bug 88332 - FILESAVE: Saving form caused all desktop applications to stop responding (CentOS)
Summary: FILESAVE: Saving form caused all desktop applications to stop responding (Cen...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-12 15:58 UTC by James B. Byrne
Modified: 2015-09-04 03:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Desktop after application stopped responding. (355.92 KB, image/png)
2015-01-12 15:58 UTC, James B. Byrne
Details
Post crash recovery window screenshot (417.91 KB, image/png)
2015-01-12 16:30 UTC, James B. Byrne
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James B. Byrne 2015-01-12 15:58:10 UTC
Created attachment 112130 [details]
Desktop after application stopped responding.

Overview: More detailed restatement of summary.

CentOS-6.6
Gnome-session-2.28.0

When attempting to save an edited Base form most, but not all, of the open desktop applications stop responding.  See screen shot.

May be related to 88253?

Steps to Reproduce: 

TBD


Actual Results: 

    The application ceased responding.  Moving of other desktop windows over the application windows wiped the display clan and no refresh occurred.  Desktop window applications open after the event seemed to operate normall.

Expected Results: 

    Application should not stop responding.  If error condition encountered with save then this should be reported and the save abandoned.  A timeout graud condition should check for unreasonable delay in completion and return control back to the application for further user action.


Build Date & Hardware:

  Build Date:

Name        : libreoffice4.3               Relocations: /opt/libreoffice4.3 
Version     : 4.3.5.2                           Vendor: The Document Foundation
Release     : 2                             Build Date: Fri 12 Dec 2014 11:27:02  EST
Install Date: Tue 30 Dec 2014 10:35:26  EST      Build Host: vm136.documentfoundation.org
Group       : Applications                  Source RPM: libreoffice4.3-4.3.5.2-2.src.rpm
Size        : 2500343                          License: LGPL
Signature   : (none)
Packager    : The Document Foundation
Summary     : Brand module for LibreOffice 4.3 .5.2
Description :
Brand module for LibreOffice 4.3
  
  Hardware:

  description: Computer
    width: 64 bits
    capabilities: vsyscall64 vsyscall32
  *-core
       description: Motherboard
       physical id: 0
     *-memory
          description: System memory
          physical id: 0
          size: 15GiB
     *-cpu
          product: Intel(R) Core(TM)2 Quad CPU    Q8400  @ 2.66GHz
          vendor: Intel Corp.
          physical id: 1
          bus info: cpu@0
          width: 64 bits
          capabilities: fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx x86-64 constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm tpr_shadow vnmi flexpriority

Name        : kernel                       Relocations: (not relocatable)
Version     : 2.6.32                            Vendor: CentOS
Release     : 431.29.2.el6                  Build Date: Tue 09 Sep 2014 06:49:55  EDT
Install Date: Thu 18 Sep 2014 11:16:36  EDT      Build Host: c6b9.bsys.dev.centos.org
Group       : System Environment/Kernel     Source RPM: kernel-2.6.32-431.29.2.el6.src.rpm
Size        : 126773875                        License: GPLv2
Signature   : RSA/SHA1, Tue 09 Sep 2014 07:05:49  EDT, Key ID 0946fca2c105b9de
Packager    : CentOS BuildSystem <http://bugs.centos.org>
URL         : http://www.kernel.org/
Summary     : The Linux kernel


Additional Builds and Platforms:

  Unknown at this time

Additional Information:
  
  None at this time
Comment 1 James B. Byrne 2015-01-12 16:25:02 UTC
Attempts to launch the LO4.3 application following this incident does not result in a new open window on the desktop.  The application seems to be running still.

# ps -ef | grep libre
byrnejb  19161     1  0 09:31 ?        00:00:00 /opt/libreoffice4.3/program/oosplash
byrnejb  19179 19161  1 09:31 ?        00:01:37 /opt/libreoffice4.3/program/soffice.bin --splash-pipe=5
Comment 2 James B. Byrne 2015-01-12 16:30:09 UTC
Created attachment 112134 [details]
Post crash recovery window screenshot
Comment 3 Alex Thurgood 2015-01-14 15:25:15 UTC
@James : CentOS was known to have problems running LO, especially if the distro-provided package pyuno was installed. Perhaps check that there is no conflict on your system with regard to pyuno ?
Comment 4 Alex Thurgood 2015-01-14 15:26:15 UTC
Are you saving the form within the Base file, or to an external location ?

Setting to NEEDINFO
Comment 5 James B. Byrne 2015-01-14 16:08:36 UTC
This attempted save was to the currently opened odb project file.
Comment 6 Alex Thurgood 2015-01-16 11:24:59 UTC
@Lionel, Julie : this might be reproducible on a Redhat machine - can you think of anyone ?
Comment 7 Julien Nabet 2015-01-16 13:46:02 UTC
Alex: perhaps with virtualbox too?
(BTW: my name is "Julien", not "Julie". "Julie" is for girls, at least in France :-))
Comment 8 Alex Thurgood 2015-01-16 13:59:22 UTC
(In reply to Julien Nabet from comment #7)
> Alex: perhaps with virtualbox too?
> (BTW: my name is "Julien", not "Julie". "Julie" is for girls, at least in
> France :-))

Yes, I know, sorry, it's that damned correct-on-the-fly spellcheck from OSX, aarggh !!
Comment 9 Buovjaga 2015-01-19 09:55:28 UTC
Tried editing & saving a form in attachment 110813 [details], but could not get it to freak out.

Can it be reproduced with any form created from scratch? Set to NEEDINFO.

Scientific Linux 6.6
Gnome-session-2.28.2

LibreOffice: Version: 4.3.4.1
Build ID: bc356b2f991740509f321d70e4512a6a54c5f243
Comment 10 QA Administrators 2015-07-18 17:35:43 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-07-18
Comment 11 QA Administrators 2015-09-04 03:01:01 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-09-03